#include "WWSR.h"
#include "Arduino.h"
#include "StepperMotor.h"
Fahren::Fahren(int stepR, int dirR, int stepL, int dirL){
  rechts = StepperMotor(stepR, dirR);
  links = StepperMotor(stepL, dirL);
  this->stepR = stepR;
  this->dirR = dirR;
  this->stepL = stepL;
  this->dirL = dirL;
}

void Fahren::nachVorneFahren(int delayValue, int steps){
  rechts.setGlobalDelay(delayValue);
  links.setGlobalDelay(delayValue);
  for(int i=0; i<steps;i++){
    rechts.stepRight();
    links.stepLeft();
  }

}
void Fahren::linksDrehung(int delayValue, int steps){
  rechts.setGlobalDelay(delayValue);
  links.setGlobalDelay(delayValue);
  for(int i=0; i<steps;i++){
    rechts.stepRight();
    links.stepRight();
  }

}
void Fahren::rechtsDrehung(int delayValue, int steps){
  rechts.setGlobalDelay(delayValue);
  links.setGlobalDelay(delayValue);
  for(int i=0; i<steps;i++){
    rechts.stepLeft();
    links.stepLeft();
  }

}


