
#include "WWSR.h"
#include "Arduino.h"

SonarRaumwahrnehmung::SonarRaumwahrnehmung(){
  trigger = 34;
  echo = 36;
  pinMode(trigger, OUTPUT);
  pinMode(echo, INPUT);
  cm=0;
  duration=0;
}
long SonarRaumwahrnehmung::entfernungsMesser(){

  digitalWrite(trigger, LOW);
  delayMicroseconds(2);
  digitalWrite(trigger, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigger, LOW);

  duration = pulseIn(echo, HIGH);

  cm = microsecondsToCentimeters(duration);

  //Serial.println(cm, DEC);

  delay(10);
  return cm;
}

long SonarRaumwahrnehmung::microsecondsToCentimeters(long microseconds){

  return microseconds / 29 / 2;
}


