//TODO: Den StepperMotor einbinden in Konstruktor und Methoden. den direkten Zugriff auf den StepperMotor entfernen(falls vorhanden).

#include "WWSR.h"
#include "Arduino.h"
#include "StepperMotor.h"
StepperAntenne::StepperAntenne(int stepA, int dirA){
  ledPin = 13;
  hoechsterWifiWert=-300;
  posOptimaleStepAnzahl=0;
  hoechsterWertCounter=0;
  wifiWert;
  negOptimaleStepAnzahl=0;
  richtmotor = StepperMotor(stepA, dirA, 225);
  this->stepA=stepA;
  this->dirA=dirA;

}
int StepperAntenne::imUhrScannung(){
  for(int i=0;i<1600;i++){
    wifiWert=getSignal();
    if(wifiWert>hoechsterWifiWert){
      hoechsterWifiWert=getSignal();
      posOptimaleStepAnzahl=i;
    }
    if(wifiWert==hoechsterWifiWert && i-posOptimaleStepAnzahl==1){
      hoechsterWertCounter++;
    }
    richtmotor.stepLeft();
  }
  posOptimaleStepAnzahl=(2*posOptimaleStepAnzahl+hoechsterWertCounter)/2;
  return posOptimaleStepAnzahl;
}

int StepperAntenne::gegenUhrScannung(){
  for(int i=0;i<1600;i++){
    wifiWert=getSignal();
    if(wifiWert>hoechsterWifiWert){
      hoechsterWifiWert=getSignal();
      negOptimaleStepAnzahl=i;
    }
    if(wifiWert==hoechsterWifiWert && i-negOptimaleStepAnzahl==1){
      hoechsterWertCounter++;
    }
    richtmotor.stepRight();
  }
  negOptimaleStepAnzahl=(2*negOptimaleStepAnzahl+hoechsterWertCounter)/2;
  return negOptimaleStepAnzahl;
}

void StepperAntenne::connect(){
  //use the convenient setup.
  wifly.setupForUDP<HardwareSerial>(
  &Serial3,   //the serial you want to use (this can also be a software serial)
  57600, // if you use a hardware serial, I would recommend the full 115200. This does not work with a software serial.
  true,	// should we try some other baudrates if the currently selected one fails?
  "wally",  //Your Wifi Name (SSID)
  "robomint", //Your Wifi Password
  "WiFly",                 // Device name for identification in the network
  0,         // IP Adress of the Wifly. if 0 (without quotes), it will use dhcp to get an ip
  8000,                    // WiFly receive port
  "255.255.255.255",       // Where to send outgoing Osc messages. "255.255.255.255" will send to all hosts in the subnet
  8001,                     // outgoing port
  true	// show debug information on Serial
  );
  wifly.printStatusInfo(); //print some debug information 
  wifly.startCommand();  //starts the Command-Mode

}
int StepperAntenne::getSignal(){            // returns the signal strength as an integer value
  Serial.println(wifly.getRSSI());          //wieder rausnehmen
  return wifly.getRSSI();
}
void StepperAntenne::printSignal(){        // FOR DEBUGGING: Shows the signal strength in the Serial Monitor
  Serial.println(getSignal());
}



